Package org.opensaml.saml.metadata.resolver.impl

# Class SAMLArtifactURLBuilder

java.lang.Object
org.opensaml.saml.metadata.resolver.impl.SAMLArtifactURLBuilder

All Implemented Interfaces:
  `MetadataQueryProtocolRequestURLBuilder.MetadataQueryProtocolURLBuilder`

public class SAMLArtifactURLBuilder extends Object implements MetadataQueryProtocolRequestURLBuilder.MetadataQueryProtocolURLBuilder
Implementation of `MetadataQueryProtocolRequestURLBuilder.MetadataQueryProtocolURLBuilder` which understands `ArtifactCriterion`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final BaseEncoding`
`HEX`
Hex encoder.

## Constructor Summary

Constructors
Constructor
Description
`SAMLArtifactURLBuilder()`

## Method Summary

Modifier and Type
Method
Description
`private String`
`buildFromSourceID(String baseURL, SAMLSourceIDArtifact sourceIDArtifact)`
Builder URL from SAML artifact source ID.
`String`
`buildURL(String baseURL, CriteriaSet criteria)`
Build a request URL using the supplied base service URL and criteria.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HEX

@Nonnull private static final BaseEncoding HEX
Hex encoder.

## Constructor Details

### SAMLArtifactURLBuilder

public SAMLArtifactURLBuilder()

## Method Details

### buildURL

@Nullable public String buildURL(@Nonnull String baseURL, @Nullable CriteriaSet criteria)
Build a request URL using the supplied base service URL and criteria.

Specified by:
  `buildURL` in interface `MetadataQueryProtocolRequestURLBuilder.MetadataQueryProtocolURLBuilder`
Parameters:
  `baseURL` - the service base URL
  `criteria` - the criteria
Returns:
  a URL based on the supplied inputs, or null if the implementation did not support or understand any of the supplied criteria

### buildFromSourceID

@Nullable private String buildFromSourceID(@Nonnull String baseURL, @Nonnull SAMLSourceIDArtifact sourceIDArtifact)
Builder URL from SAML artifact source ID.

Parameters:
  `baseURL` - the base URL
  `sourceIDArtifact` - the source ID artifact
Returns:
  the request URL